package com.junmp.jyzb.api.bean.query;

import com.junmp.v2.common.bean.request.BaseRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class WarehouseAreaReq extends BaseRequest {
    @NotBlank(message = "地区主键不能为空", groups = {edit.class, delete.class, detail.class})
    private String id;

    private String areaName;

    private Long orgIdInt;

    private String warehouseId;

    private String photo;

    private Date createTime;

    private Date updateTime;

    private String createUser;

    private String updateUser;
}
